JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const response = await client.workflows.flows.actions.replace(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
{ actions: [{ actionId: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e', position: 0 }] },
);
console.log(response.data);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
response = client.workflows.flows.actions.replace(
flow_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
actions=[{
"action_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"position": 0,
}],
)
print(response.data)curl --request PUT \
--url https://api.mobilerun.ai/v1/flows/{flowId}/actions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"actions": [
{
"actionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"position": 1,
"children": [
{
"actionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"position": 1,
"continueOnError": false,
"nameOverride": "<string>",
"overrides": {
"params": {}
}
}
],
"continueOnError": false,
"nameOverride": "<string>",
"overrides": {
"params": {}
}
}
]
}
'
{
"data": [
{
"actionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"continueOnError": true,
"createdAt": "<string>",
"flowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"nameOverride": "<string>",
"overrides": {
"params": {}
},
"parentFlowActionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"position": 123
}
]
}{
"error": "<string>"
}Flows
Replace all actions for a flow
Replace a flow’s entire action list with the supplied set (at least one required). Each action references an actionId and a unique position, and may include nested children, a nameOverride, param overrides, and a continueOnError flag. Returns 404 if the flow does not exist.
PUT
/
flows
/
{flowId}
/
actions
JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const response = await client.workflows.flows.actions.replace(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
{ actions: [{ actionId: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e', position: 0 }] },
);
console.log(response.data);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
response = client.workflows.flows.actions.replace(
flow_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
actions=[{
"action_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"position": 0,
}],
)
print(response.data)Was this page helpful?
⌘I